<?php
namespace nur\sery\wip\schema;

use nur\sery\wip\schema\input\Input;
use nur\sery\wip\schema\types\IType;

class AnalyzerContext {
  function __construct(Schema $schema, Input $input, $destKey, Result $result) {
    $this->schema = $schema;
    $this->input = $input;
    $this->destKey = $destKey;
    $this->result = $result;
    $this->type = null;
    $this->value = null;
  }

  public Schema $schema;
  public Input $input;
  /** @var int|string|null */
  public $destKey;
  public Result $result;
  public ?IType $type;
  /** @var mixed */
  public $value;
}
