<?php
namespace nur\sery\wip\schema\types;

use nur\sery\wip\schema\input\Input;

abstract class _tsimple implements IType {
  static function get_params(?array $definition): ?array {
    return null;
  }

  function __construct(?array $params=null) {
    $this->params = $params;
  }

  protected ?array $params;

  function isAvailable(Input $input, $destKey): bool {
    return $input->isAvailable($destKey) && $input->get($destKey) !== false;
  }

  function isNull($value): bool {
    return $value === null || (is_string($value) && trim($value) === "");
  }

  function extract(string $value): string {
    return $value;
  }

  function parse(string $value) {
    return $value;
  }
}
